phpFox Legacy V3
Hello,
I have phpfox 3.9 installed and was working fine... I moved to a new hosting (dream host vps)
and suddenly does not work when trying to post a new video...
i turned on the debug mode and i get the following error:
Fatal error: Class 'MediaEmbedMediaEmbed' not found in /home/***************/module/link/include/service/link.class.php on line 135
what might be the problem ?
thank you.
perhaps all of the files didn't transfer or perhaps permissions are not good. Check to make sure you have current files and that your permissions are fine. It is possible you have corrupt files from the transfer. Possibly loading the clean files downloaded from your account could work. You can get the v3 files in your account still.
May 16, 2016 1:52 pm

Sorry, the above link is corrected to the working instruction in Russian.

Here is the link: https://danfa.net/forum/thread/958/view_1415/

 

In file: "module/forum/include/component/controller/forum.class.php" It is necessary to remove code:

if (Phpfox::isMobile() && Phpfox::getLib('module')->getFullControllerName() == 'forum.forum' && !$this->request()->getInt('req2') && !in_array($this->request()->get('view'), array('subscribed','new','my-thread'))) { return Phpfox::getLib('module')->setController('forum.index'); }

July 7, 2018 1:45 am
Hello Scripttechs.
I have got the old v3.7.7 with phpfoxmods which is the last update version brian tested on so I should be fine as long as the v3.7.7 script is still functional. it should be as there was no issues before shutting down.
I've got arvixe tech seeing if a backup from December 2016 is still available, if so I can reinstate that v3.7.7 with phpfoxmods intact. this way I will not need to alter any account setings for the phpfoxmods.
I can update script to v3.9 without phpfoxmods and see what happens, if there is issues I can revert back to v3.7.7 and just maintain that version.
thanks for heads up on possible issues.
mikel.
May 14, 2016 4:17 pm
Is it still safe to use V3? We already found a malware attachment to one of our phpfox V3 files (and it was sending out spam).
Is the last updated version 3.7.2? After that, no upgrades? No maintenance?
Just a rant;
I think it REALLY stinks that phpfox just abandons something that we've used for years, maintained for years, spent a lot of hours and money on and they just move to another platform.
I would not complain if we could upgrade our site to version 4 but from what I was told, we have to start all over again.
If that's the case, we will never use phpfox again. Wasted waaaay too many years on this platform.
I use v3 on my own sites and have no malware. The only malware you get is from other things you do. Such as going to phpfoxcamp, downloading unsafe stuff, browsing unsafely or even from ads; using nulled products; using the theme that was from a v3 third party that we said had malware and pulled from the store; etc.
As for v4, I've upgraded many sites already, via my ScriptTechs site as I offer those services. Yes you can upgrade. It is not starting over. Yes, you need to get new themes. Some v3 mods work in v4 but you need to get updates from the vendors or just get v4 apps instead as the coding is newer.
May 3, 2016 9:06 am
Mikel Coreclark
Posted By
3
Thanks Data66.
You're welcome. Let me know if you can't set up a local and I might let you see my closed v3 dev site perhaps but then I would need to disable the password protection or add a user to it and you wouldn't see admin.
April 23, 2016 11:39 pm
Hello,
I have a problem. I'm using 3.7.7 stable version 2 years ago. This is a new issue.
I had the same problem 2 times in 1 month. My 150-200 registered users are suddenly been banned. I changed one by one to registered users from banned users.
Why does this problem occur? I don't understand this :(
Is this is a hacking attack or software issue? Are there security settings?
PS: I don't use auto-ban or auto-spam setting. These are disable.
Regards,
Look at your ban filters. I recall an old bug for some issue with how someone put ban filters or it was a bug with users showing as banned when they actually were not so also test to log in as one of the banned users.
Upgrade to v3.9 to get the fix for that particular bug.
April 9, 2016 8:38 am
You can try following the guide in the documentation for Developers to port their v3 to v4 modules. It's in the documentation link and then click the button that shows to go to the developer documents once you are at the main kb page.
March 25, 2016 5:48 pm
Hi
I am trying to configure using a cdn... however strangely, I do not have tools/cdn/ in the package i downloaded???
Anybody have any idea why this is?
thanks in advance
regards
I don't see it included in the 3.9 either. Please go to your client account and send us a ticket so I can put it on the list though that is an end of life product.
March 25, 2016 11:51 am
It is not normal for a clear cache to have photo issues. Clearing cache is a normal process that is required when making changes on the site. Perhaps some other issue caused the photos to disappear.
maybe.. but i am getting the site restored to when I 1st started messing about with it.. thanks for all the help it is much appreciated
March 25, 2016 12:32 pm